libevent 2.1.13 Event notification library

Loading...
Searching...
No Matches
evutil_addrinfo Struct Reference

A definition of struct addrinfo for systems that lack it. More...

`#include <util.h>`

## Data Fields
struct sockaddr * | ai_addr
size_t | ai_addrlen
char * | ai_canonname
int | ai_family
int | ai_flags
struct evutil_addrinfo * | ai_next
int | ai_protocol
int | ai_socktype

## Detailed Description

A definition of struct addrinfo for systems that lack it.

(This is just an alias for struct addrinfo if the system defines struct addrinfo.)

The documentation for this struct was generated from the following file:

- event2/util.h